Create connectorGroup

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

创建 connectorGroup 对象。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Directory.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
Application 不支持。

HTTP 请求

POST /onPremisesPublishingProfiles/applicationProxy/connectorGroups

可选的请求标头

名称 说明
Authorization Bearer。 必需。
Content-type application/json. Required.

请求正文

在请求正文中,提供 connectorGroup 对象的 JSON 表示形式。 下表列出了 connectorGroup 可用的属性name 属性是必需的属性。

属性 类型 说明
connectorGroupType string 指示混合代理的类型。 此属性由系统预设。
id string 此 connectorGroup 的唯一标识符。 只读。
isDefault boolean 指示 connectorGroup 是否是默认值。 只有一个连接器组可以是默认的 connectorGroup,这由系统预设。
name string 与 connectorGroup 关联的名称。
region string connectorGroup 分配到的区域,并将优化其流量。 只有未向 connectorGroup 分配连接器 或应用程序时,才能设置此区域。 可用的区域包括:北美、欧洲、澳大利亚、亚洲和印度。 可取值为:nameurausasiaind

响应

如果成功,此方法在响应 201 Created 正文中返回 响应代码和 connectorGroup 对象。

示例

请求

下面展示了示例请求。

POST https://graph.microsoft.com/beta/onPremisesPublishingProfiles/applicationProxy/connectorGroups
Content-type: application/json

{
  "name": "Connector Group Demo"

}

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Content-type: application/json

{
  "id": "3e6f4c35-a04b-4d03-b98a-66fff89b72e6",
  "name": "Connector Group Demo",
  "connectorGroupType": "applicationProxy",
  "isDefault": true,
  "region": "nam"
}